
package org.glassfish.jersey.opentracing;

import java.util.Locale;
import java.util.ResourceBundle;
import org.glassfish.jersey.internal.l10n.Localizable;
import org.glassfish.jersey.internal.l10n.LocalizableMessageFactory;
import org.glassfish.jersey.internal.l10n.LocalizableMessageFactory.ResourceBundleSupplier;
import org.glassfish.jersey.internal.l10n.Localizer;


/**
 * Defines string formatting method for each constant in the resource file
 * 
 */
public final class LocalizationMessages {

    private final static String BUNDLE_NAME = "org.glassfish.jersey.opentracing.localization";
    private final static LocalizableMessageFactory MESSAGE_FACTORY = new LocalizableMessageFactory(BUNDLE_NAME, new LocalizationMessages.BundleSupplier());
    private final static Localizer LOCALIZER = new Localizer();

    public static Localizable localizableOPENTRACING_LOG_APPLIED_RESPONSE_FILTERS(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.applied.response.filters", arg0);
    }

    /**
     * Applied reqsponse filters: {0}.
     * 
     */
    public static String OPENTRACING_LOG_APPLIED_RESPONSE_FILTERS(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_APPLIED_RESPONSE_FILTERS(arg0));
    }

    public static Localizable localizableOPENTRACING_LOG_RESPONSE_FILTERING_FINISHED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.response.filtering.finished", arg0);
    }

    /**
     * Response filtering finished, {0} filter(s) applied.
     * 
     */
    public static String OPENTRACING_LOG_RESPONSE_FILTERING_FINISHED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_RESPONSE_FILTERING_FINISHED(arg0));
    }

    public static Localizable localizableOPENTRACING_TRACER_NOT_REGISTERED() {
        return MESSAGE_FACTORY.getMessage("opentracing.tracer.not.registered");
    }

    /**
     * OpenTracing feature is enabled, but no Tracer has been registered. Default no-op tracer will be used.
     * 
     */
    public static String OPENTRACING_TRACER_NOT_REGISTERED() {
        return LOCALIZER.localize(localizableOPENTRACING_TRACER_NOT_REGISTERED());
    }

    public static Localizable localizableOPENTRACING_TAG_HAS_RESPONSE_ENTITY() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.has.response.entity");
    }

    /**
     * hasResponseEntity
     * 
     */
    public static String OPENTRACING_TAG_HAS_RESPONSE_ENTITY() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_HAS_RESPONSE_ENTITY());
    }

    public static Localizable localizableOPENTRACING_LOG_EXCEPTION_MAPPER_FOUND(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.exception.mapper.found", arg0);
    }

    /**
     * Exception mapper found: {0}.
     * 
     */
    public static String OPENTRACING_LOG_EXCEPTION_MAPPER_FOUND(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_EXCEPTION_MAPPER_FOUND(arg0));
    }

    public static Localizable localizableOPENTRACING_TAG_ACCEPTABLE_MEDIA_TYPES() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.acceptable.media.types");
    }

    /**
     * acceptableMediaTypes
     * 
     */
    public static String OPENTRACING_TAG_ACCEPTABLE_MEDIA_TYPES() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_ACCEPTABLE_MEDIA_TYPES());
    }

    public static Localizable localizableOPENTRACING_SPAN_PREFIX_CLIENT() {
        return MESSAGE_FACTORY.getMessage("opentracing.span.prefix.client");
    }

    /**
     * jersey-client-
     * 
     */
    public static String OPENTRACING_SPAN_PREFIX_CLIENT() {
        return LOCALIZER.localize(localizableOPENTRACING_SPAN_PREFIX_CLIENT());
    }

    public static Localizable localizableOPENTRACING_LOG_APPLIED_REQUEST_FILTERS(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.applied.request.filters", arg0);
    }

    /**
     * Applied request filters: {0}.
     * 
     */
    public static String OPENTRACING_LOG_APPLIED_REQUEST_FILTERS(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_APPLIED_REQUEST_FILTERS(arg0));
    }

    public static Localizable localizableOPENTRACING_TAG_RESPONSE_LENGTH() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.response.length");
    }

    /**
     * responseLength
     * 
     */
    public static String OPENTRACING_TAG_RESPONSE_LENGTH() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_RESPONSE_LENGTH());
    }

    public static Localizable localizableOPENTRACING_LOG_LOCATOR_MATCHED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.locator.matched", arg0);
    }

    /**
     * Locator matched. Matched locators: {0}
     * 
     */
    public static String OPENTRACING_LOG_LOCATOR_MATCHED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_LOCATOR_MATCHED(arg0));
    }

    public static Localizable localizableOPENTRACING_LOG_RESOURCE_METHOD_FINISHED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.resource.method.finished");
    }

    /**
     * Resource method finished.
     * 
     */
    public static String OPENTRACING_LOG_RESOURCE_METHOD_FINISHED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_RESOURCE_METHOD_FINISHED());
    }

    public static Localizable localizableOPENTRACING_LOG_MATCHING_STARTED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.matching.started");
    }

    /**
     * Resource matching started.
     * 
     */
    public static String OPENTRACING_LOG_MATCHING_STARTED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_MATCHING_STARTED());
    }

    public static Localizable localizableOPENTRACING_TAG_REQUEST_HEADERS() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.request.headers");
    }

    /**
     * requestHeaders
     * 
     */
    public static String OPENTRACING_TAG_REQUEST_HEADERS() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_REQUEST_HEADERS());
    }

    public static Localizable localizableOPENTRACING_LOG_SUBRESOURCE_LOCATED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.subresource.located", arg0);
    }

    /**
     * Subresource located: {0}
     * 
     */
    public static String OPENTRACING_LOG_SUBRESOURCE_LOCATED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_SUBRESOURCE_LOCATED(arg0));
    }

    public static Localizable localizableOPENTRACING_LOG_REQUEST_FILTERING_FINISHED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.request.filtering.finished", arg0);
    }

    /**
     * Request filtering finished, {0} filter(s) applied.
     * 
     */
    public static String OPENTRACING_LOG_REQUEST_FILTERING_FINISHED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_REQUEST_FILTERING_FINISHED(arg0));
    }

    public static Localizable localizableOPENTRACING_LOG_REQUEST_STARTED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.request.started");
    }

    /**
     * Request started.
     * 
     */
    public static String OPENTRACING_LOG_REQUEST_STARTED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_REQUEST_STARTED());
    }

    public static Localizable localizableOPENTRACING_TAG_RESPONSE_HEADERS() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.response.headers");
    }

    /**
     * responseHeaders
     * 
     */
    public static String OPENTRACING_TAG_RESPONSE_HEADERS() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_RESPONSE_HEADERS());
    }

    public static Localizable localizableOPENTRACING_LOG_RESPONSE_FILTERING_STARTED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.response.filtering.started");
    }

    /**
     * Response filtering started.
     * 
     */
    public static String OPENTRACING_LOG_RESPONSE_FILTERING_STARTED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_RESPONSE_FILTERING_STARTED());
    }

    public static Localizable localizableOPENTRACING_LOG_REQUEST_FILTERING_STARTED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.request.filtering.started");
    }

    /**
     * Request filtering started.
     * 
     */
    public static String OPENTRACING_LOG_REQUEST_FILTERING_STARTED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_REQUEST_FILTERING_STARTED());
    }

    public static Localizable localizableOPENTRACING_LOG_RESOURCE_METHOD_STARTED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.resource.method.started", arg0);
    }

    /**
     * Resource method {0} started.
     * 
     */
    public static String OPENTRACING_LOG_RESOURCE_METHOD_STARTED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_RESOURCE_METHOD_STARTED(arg0));
    }

    public static Localizable localizableOPENTRACING_LOG_EXCEPTION_MAPPING_NOEXCEPTION_OR_FAILED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.exception.mapping.noexception.or.failed");
    }

    /**
     * no exception or mapping failed.
     * 
     */
    public static String OPENTRACING_LOG_EXCEPTION_MAPPING_NOEXCEPTION_OR_FAILED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_EXCEPTION_MAPPING_NOEXCEPTION_OR_FAILED());
    }

    public static Localizable localizableOPENTRACING_LOG_EXCEPTION(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.exception", arg0);
    }

    /**
     * Exception while processing the request: {0}.
     * 
     */
    public static String OPENTRACING_LOG_EXCEPTION(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_EXCEPTION(arg0));
    }

    public static Localizable localizableOPENTRACING_TAG_HAS_REQUEST_ENTITY() {
        return MESSAGE_FACTORY.getMessage("opentracing.tag.has.request.entity");
    }

    /**
     * hasRequestEntity
     * 
     */
    public static String OPENTRACING_TAG_HAS_REQUEST_ENTITY() {
        return LOCALIZER.localize(localizableOPENTRACING_TAG_HAS_REQUEST_ENTITY());
    }

    public static Localizable localizableOPENTRACING_LOG_EXCEPTION_MAPPING_SUCCESS() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.exception.mapping.success");
    }

    /**
     * successfully mapped
     * 
     */
    public static String OPENTRACING_LOG_EXCEPTION_MAPPING_SUCCESS() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_EXCEPTION_MAPPING_SUCCESS());
    }

    public static Localizable localizableOPENTRACING_LOG_EXCEPTION_MAPPING_FINISHED() {
        return MESSAGE_FACTORY.getMessage("opentracing.log.exception.mapping.finished");
    }

    /**
     * Exception mapping finished: 
     * 
     */
    public static String OPENTRACING_LOG_EXCEPTION_MAPPING_FINISHED() {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_EXCEPTION_MAPPING_FINISHED());
    }

    public static Localizable localizableOPENTRACING_LOG_REQUEST_MATCHED(Object arg0) {
        return MESSAGE_FACTORY.getMessage("opentracing.log.request.matched", arg0);
    }

    /**
     * Request matched, method: {0}
     * 
     */
    public static String OPENTRACING_LOG_REQUEST_MATCHED(Object arg0) {
        return LOCALIZER.localize(localizableOPENTRACING_LOG_REQUEST_MATCHED(arg0));
    }

    private static class BundleSupplier
        implements ResourceBundleSupplier
    {


        public ResourceBundle getResourceBundle(Locale locale) {
            return ResourceBundle.getBundle(BUNDLE_NAME, locale);
        }

    }

}
